Bug 199665 - OOo crashes for reloading a changed file
OOo crashes for reloading a changed file
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: Desktop
Depends On:
  Show dependency treegraph
Reported: 2006-07-21 05:12 EDT by Xiaohong Wang
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.3-7.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-27 06:00:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 67658 None None None Never

  None (edit)
Description Xiaohong Wang 2006-07-21 05:12:47 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Launch OpenOffice.org Writer, type some text then select File -> Save, and
save it (testfile.odt) to Desktop
2. Move the testfile.odt to another folder
3. In OpenOffice.org Writer, select File -> Reload 
   It pops up several dialogs '/root/Desktop/testfile.odt does not exist.',
'Object not accessible. The object cannot be accessed due to insufficient user
rights.', '/root/Desktop/testfile.odt does not exit.' just click 'OK' in pop-up
4. Move the testfile.odt back to Desktop folder
5. In OpenOffice.org Writer, select File -> Reload
Actual results:
An error dialog pops up, 'OOo has crashed!: Paste this text into your bugreport'

(I) x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
(III) Desktop is: GNOME
(IV) libgcj version is: libgcj-4.1.1-6-i386
(V) kernel is: Linux 2.6.17-1.2358.fc6 #1 SMP Fri Jul 7 04:02:07 EDT 2006 i686
i686 i386
(VI) OpenOffice.org core rpm version is: openoffice.org-core-2.0.3-7.5-i386
(VII) accessibility is: false
(VIII) fedora release is: Fedora Core release 5.90 (Test)
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
0x1930780: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e780
0x1930fc0: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1efc0
0xb7f94420:  + 0x420 (__kernel_sigreturn + 0x0)
0xa4d241: /lib/libc.so.6 + 0x2d241 (abort + 0x101)
0x1d4130: /usr/lib/libstdc++.so.6 + 0xb9130
(__gnu_cxx::__verbose_terminate_handler() + 0x150)
0x1d1b55: /usr/lib/libstdc++.so.6 + 0xb6b55
0x1d1b92: /usr/lib/libstdc++.so.6 + 0xb6b92
0x1d1cca: /usr/lib/libstdc++.so.6 + 0xb6cca
0x441994e: /usr/lib/openoffice.org2.0/program/libxstor.so + 0x3f94e
(OStorage::dispose() + 0x50)
0x258a346: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x23c346
(SfxObjectShell::~SfxObjectShell() + 0x1e6)
0x169f9e1: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x8f79e1
(SwDocShell::~SwDocShell() + 0xc5)
0x7dfcaf: /usr/lib/openoffice.org2.0/program/libtl680li.so + 0x6ccaf
(SvRefBase::QueryDelete() + 0x13)
0x2be6cc3: /usr/lib/openoffice.org2.0/program/libsot680li.so + 0x30cc3
(SotObject::QueryDelete() + 0x29)
0x149c79e: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6f479e
(SvRefBase::ReleaseRef() + 0x18)
0x2be63e1: /usr/lib/openoffice.org2.0/program/libsot680li.so + 0x303e1
(SotObject::OwnerLock(unsigned char) + 0x4f)
0x1789ff1: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x9e1ff1
(SfxObjectShellLock::~SfxObjectShellLock() + 0x25)
0x25f9f62: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2abf62
(SfxViewFrame::ExecReload_Impl(SfxRequest&) + 0x1ec8)
0x25fa1ca: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2ac1ca
(SfxStubSfxViewFrameExecReload_Impl(SfxShell*, SfxRequest&) + 0x1a)
0x2610820: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2c2820
(SfxShell::CallExec(void (*)(SfxShell*, SfxRequest&), SfxRequest&) + 0xc)
0x260fa52: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2c1a52
(SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char)
+ 0x2e2)
0x260fd55: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2c1d55
(SfxDispatcher::PostMsgHandler(SfxRequest*) + 0xb1)
0x260fe04: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2c1e04
(SfxDispatcher::LinkStubPostMsgHandler(void*, void*) + 0x1a)
0xd7f632: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x3a632
(Link::Call(void*) const + 0x16)
0x262a269: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2dc269
(GenLink::Call(void*) + 0x29)
0x262a03c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2dc03c
(SfxHintPoster::Event(SfxHint*) + 0x1e)
0x262a28c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2dc28c
(SfxHintPoster::DoEvent_Impl(SfxHint*) + 0x1c)
0x262a018: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2dc018
(SfxHintPoster::LinkStubDoEvent_Impl(void*, void*) + 0x1a)
0xd7f632: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x3a632
(Link::Call(void*) const + 0x16)
0x4c0df5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2b8df5
(ImplWindowFrameProc(void*, SalFrame*, unsigned short, void const*) + 0x84b)
0x3abfdc4: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x44dc4
(SalFrame::CallCallback(unsigned short, void const*) const + 0x20)
0x3b30b6c: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x5fb6c
(SalDisplay::DispatchInternalEvent() + 0x64)
0x3aa32b6: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x282b6
(GtkXLib::userEventFn(void*) + 0x88)
0x5ea2bf1: /lib/libglib-2.0.so.0 + 0x29bf1
0x5ea4952: /lib/libglib-2.0.so.0 + 0x2b952 (g_main_context_dispatch + 0x182)
0x5ea792f: /lib/libglib-2.0.so.0 + 0x2e92f
0x5ea7e95: /lib/libglib-2.0.so.0 + 0x2ee95 (g_main_context_iteration + 0x65)
0x3aa2343: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x27343
(GtkXLib::Yield(unsigned char) + 0x4f)
0x3b335a9: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x625a9
(X11SalInstance::Yield(unsigned char) + 0x27)
0x36db9e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x165b9e
(Application::Yield() + 0x48)
0x36dc22: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x165c22
(Application::Execute() + 0x26)
0xd7c3e9: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x373e9
(desktop::Desktop::Main() + 0x15c1)
0x371a8c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x169a8c
(ImplSVMain() + 0x44)
0x371b3f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x169b3f (SVMain()
+ 0x2b)
0xd76159: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x31159 (sal_main +
0xd761a5: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x311a5 (main + 0x27)
0xa39214: /lib/libc.so.6 + 0x19214 (__libc_start_main + 0xdc)
0x80484a1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4a1

Expected results:

Additional info:
Comment 1 Caolan McNamara 2006-07-21 07:27:03 EDT
I see it, an unhandled exception gets thrown. Fix checked in, will be in next respin

Note You need to log in before you can comment on or make changes to this bug.